Module
Contents
Index 🔎︎

# XOR Operator

Vykonáva logickú kombináciu Exclusive-Or dvoch výrazov.

## Syntax:

    Result = Expression1 XOR Expression2

## Paremetre:

Výsledok: Číselná premenná, ktorá obsahuje výsledok kombinácie.

Výraz1, Výraz2: Číselné výrazy, ktoré chceš kombinovať.

Logická konjunkcia Exclusive-Or dvoch logických výrazov vracia hodnotu True, iba ak sú obidva výrazy navzájom rôzne.

Konjunkcia Exclusive-Or po bitoch vracia bit korešpondujúci bitu nastavenému iba v jednom z dvoch výrazov.

## Príklad:

    Sub ExampleXOR

    Dim vA As Variant, vB As Variant, vC As Variant, vD As Variant

    Dim vOut As Variant

        vA = 10: vB = 8: vC = 6: vD = Null

        vOut = vA > vB XOR vB > vC ' returns 0

        vOut = vB > vA XOR vB > vC ' returns -1

        vOut = vA > vB XOR vB > vD ' returns -1

        vOut = (vB > vD XOR vB > vA) ' returns 0

        vOut = vB XOR vA ' returns 2

    End Sub